%define upstream_name	 Audio-MPD
%define upstream_version v0.19.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Class for talking to MPD (Music Player Daemon) servers 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Audio/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires:	perl(Module::Build)
Buildrequires:	perl(Class::Accessor::Fast)
Buildrequires:	perl(Readonly)
Buildrequires:	perl(Audio::MPD::Common::Item)

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
Audio::MPD gives a clear object-oriented interface for talking to and
controlling MPD (Music Player Daemon) servers. A connection to the MPD server
is established as soon as a new Audio::MPD object is created. Commands are then
send to the server as the class's methods are called.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
%{__rm} -rf %{buildroot} 
./Build install destdir=%{buildroot}

%clean 
%{__rm} -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README TODO Changes
%{_bindir}/*
%{perl_vendorlib}/Audio
%{_mandir}/man3/*
%{_mandir}/man1/*


%changelog
* Thu Oct 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.19.7-1mdv2010.0
+ Revision: 451996
- update to v0.19.7

* Wed Sep 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.19.6-2mdv2010.0
+ Revision: 435533
- rebuild using %%perl_convert_version

* Sun Feb 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.6-1mdv2009.1
+ Revision: 340535
- update to new version 0.19.6

* Tue Jan 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.5-1mdv2009.1
+ Revision: 325505
- update to new version 0.19.5

* Sun Aug 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.4-1mdv2009.0
+ Revision: 272878
- update to new version 0.19.4

* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.3-1mdv2009.0
+ Revision: 271752
- update to new version 0.19.3

* Wed Jun 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.2-1mdv2009.0
+ Revision: 224895
- update to new version 0.19.2

* Fri Jan 18 2008 Jérôme Quelin <jquelin@mandriva.org> 0.19.1-2mdv2008.1
+ Revision: 154597
- force rebuild for 5.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.1-1mdv2008.1
+ Revision: 114705
- update to new version 0.19.1

* Fri Nov 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19.0-1mdv2008.1
+ Revision: 114012
- update to new version 0.19.0

* Tue Nov 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.3-1mdv2008.1
+ Revision: 113405
- update to new version 0.18.3

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.2-1mdv2008.1
+ Revision: 109470
- update to new version 0.18.2

* Mon Apr 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.2-1mdv2008.0
+ Revision: 17454
- new version


* Mon Mar 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.13.5-1mdv2007.1
+ Revision: 141686
- new version

* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.13.3-1mdv2007.1
+ Revision: 134286
- fix build dependencies
- new version

* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12.4-1mdv2007.1
+ Revision: 120852
- new version

* Fri Dec 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12.3-1mdv2007.1
+ Revision: 93653
- Import perl-Audio-MPD

* Fri Dec 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12.3-1mdv2007.1
- first mdv release

